- Qt 5.15
- Qt GUI
- C++ Classes
- QExposeEvent
- Qt 5.15.19 Reference Documentation

# QExposeEvent Class

The QExposeEvent class contains event parameters for expose events. More...

Header: | #include <QExposeEvent>
qmake: | QT += gui
Since: | Qt 5.0

This class was introduced in Qt 5.0.

- List of all members, including inherited members

## Public Functions

| QExposeEvent(const QRegion &exposeRegion)
const QRegion & | region() const

## Detailed Description

Expose events are sent to windows when an area of the window is invalidated, for example when window exposure in the windowing system changes.

A Window with a client area that is completely covered by another window, or is otherwise not visible may be considered obscured by Qt and may in such cases not receive expose events.

The event handler QWindow::exposeEvent() receives expose events.

## Member Function Documentation

### QExposeEvent::QExposeEvent(const QRegion &exposeRegion)

Constructs an expose event for the given exposeRegion which must be in local coordinates.

### const QRegion &QExposeEvent::region() const

Returns the window area that has been exposed. The region is given in local coordinates.